build_ubuntu_gcc_debug_several_shared_libraries:
  extends: .build_template_linux
  image: 
    name: registry.gitlab.inria.fr/morefem/thirdpartycompilationfactory/${OS}-${COMPILER}-${MODE}
  variables:
      OS: "ubuntu"
      COMPILER: "gcc"
      MODE: "debug"
      LIB_NATURE: "shared"
      IS_ONLY_ONE_LIB: "False"

check_ubuntu_gcc_debug_several_shared_libraries:
  extends: .check_compilation_warning_template_docker
  needs: [build_ubuntu_gcc_debug_several_shared_libraries]
  dependencies:
      - build_ubuntu_gcc_debug_several_shared_libraries
  variables:
      OS: "ubuntu"
      COMPILER: "gcc"
      MODE: "debug"
      LIB_NATURE: "shared"
      IS_ONLY_ONE_LIB: "False"


build_ubuntu_gcc_release_one_static_library:
  extends: .build_template_linux
  image: 
    name: registry.gitlab.inria.fr/morefem/thirdpartycompilationfactory/${OS}-${COMPILER}-${MODE}
  variables:
      OS: "ubuntu"
      COMPILER: "gcc"
      MODE: "release"
      LIB_NATURE: "static"
      IS_ONLY_ONE_LIB: "True"

check_ubuntu_gcc_release_one_static_library:
  extends: .check_compilation_warning_template_docker
  needs: [build_ubuntu_gcc_release_one_static_library]
  dependencies:
      - build_ubuntu_gcc_release_one_static_library
  variables:
      OS: "ubuntu"
      COMPILER: "gcc"
      MODE: "release"
      LIB_NATURE: "static"
      IS_ONLY_ONE_LIB: "True"

build_fedora_gcc_debug_one_shared_library:
  extends: .build_template_linux
  image: 
       name: registry.gitlab.inria.fr/morefem/thirdpartycompilationfactory/${OS}-${COMPILER}-${MODE}
       entrypoint: [ '/bin/sh', '-c' ]
  variables:
      OS: "fedora"
      COMPILER: "gcc"
      MODE: "debug"
      LIB_NATURE: "shared"
      IS_ONLY_ONE_LIB: "True"


check_fedora_gcc_debug_one_shared_library:
  extends: .check_compilation_warning_template_docker
  needs: [build_fedora_gcc_debug_one_shared_library]
  dependencies:
      - build_fedora_gcc_debug_one_shared_library
  variables:
      OS: "fedora"
      COMPILER: "gcc"
      MODE: "debug"
      LIB_NATURE: "shared"
      IS_ONLY_ONE_LIB: "True"



build_fedora_gcc_release_several_static_libraries:
  extends: .build_template_linux
  image: 
       name: registry.gitlab.inria.fr/morefem/thirdpartycompilationfactory/${OS}-${COMPILER}-${MODE}
       entrypoint: [ '/bin/sh', '-c' ]
  variables:
      OS: "fedora"
      COMPILER: "gcc"
      MODE: "release"
      LIB_NATURE: "static"
      IS_ONLY_ONE_LIB: "False"


check_fedora_gcc_release_several_static_libraries:
  extends: .check_compilation_warning_template_docker
  needs: [build_fedora_gcc_release_several_static_libraries]
  dependencies:
      - build_fedora_gcc_release_several_static_libraries
  variables:
      OS: "fedora"
      COMPILER: "gcc"
      MODE: "release"
      LIB_NATURE: "static"
      IS_ONLY_ONE_LIB: "False"



build_fedora_clang_debug_several_shared_libraries:
  extends: .build_template_linux
  image: 
       name: registry.gitlab.inria.fr/morefem/thirdpartycompilationfactory/${OS}-${COMPILER}-${MODE}
       entrypoint: [ '/bin/sh', '-c' ]
  variables:
      OS: "fedora"
      COMPILER: "clang"
      MODE: "debug"
      LIB_NATURE: "shared"
      IS_ONLY_ONE_LIB: "False"


check_fedora_clang_debug_several_shared_libraries:
  extends: .check_compilation_warning_template_docker
  needs: [build_fedora_clang_debug_several_shared_libraries]
  dependencies:
      - build_fedora_clang_debug_several_shared_libraries
  variables:
      OS: "fedora"
      COMPILER: "clang"
      MODE: "debug"
      LIB_NATURE: "shared"
      IS_ONLY_ONE_LIB: "False"


build_fedora_clang_release_one_static_library:
  extends: .build_template_linux
  image: 
       name: registry.gitlab.inria.fr/morefem/thirdpartycompilationfactory/${OS}-${COMPILER}-${MODE}
       entrypoint: [ '/bin/sh', '-c' ]
  variables:
      OS: "fedora"
      COMPILER: "clang"
      MODE: "release"
      LIB_NATURE: "static"
      IS_ONLY_ONE_LIB: "True"


check_fedora_clang_release_one_static_library:
  extends: .check_compilation_warning_template_docker
  needs: [build_fedora_clang_release_one_static_library]  
  dependencies:
      - build_fedora_clang_release_one_static_library
  variables:
      OS: "fedora"
      COMPILER: "clang"
      MODE: "release"
      LIB_NATURE: "static"
      IS_ONLY_ONE_LIB: "True"


build_ubuntu_gcc_debug_several_shared_library_no_slepc_or_petsc_external_dependency:
  extends: .build_template_linux_no_slepc_or_petsc_external_dependency
  image: 
       name: registry.gitlab.inria.fr/morefem/thirdpartycompilationfactory/ubuntu-gcc-debug-no_external_petsc_dependencies
  variables:
      OS: "ubuntu"
      COMPILER: "gcc"
      MODE: "debug"
      LIB_NATURE: "shared"
      IS_ONLY_ONE_LIB: "False" 
      

check_ubuntu_gcc_debug_several_static_library_no_slepc_or_petsc_external_dependency:
  extends: .check_compilation_warning_template_docker
  needs: [build_ubuntu_gcc_debug_several_shared_library_no_slepc_or_petsc_external_dependency]  
  dependencies:
      - build_ubuntu_gcc_debug_several_shared_library_no_slepc_or_petsc_external_dependency
  variables:
      OS: "ubuntu"
      COMPILER: "gcc"
      MODE: "debug"
      LIB_NATURE: "shared"
      IS_ONLY_ONE_LIB: "False"      